package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * '交易状态(1,交易中;2,成功交易;3,交易失败，4交易关闭;)',
 */
public enum DealStatusEnum implements BaseEnum<String, DealStatusEnum> {
	WAIT_PAY("WAIT_PAY", "等待支付"),
	ING("ING", "交易中"),
	SUCCESS("SUCCESS", "成功交易"),
	FAILED("FAILED", "交易失败"),
	CLOSE("CLOSE", "交易关闭");

	private String code;

	private String msg;

	DealStatusEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
